IBM Support

Some versions of IBM Business Process Manager (BPM) and IBM Business Monitor do not support certain Java versions running with WebSphere Application Server Network Deployment V8.5

Troubleshooting


Problem

Java™ 6 on WebSphere Application Server (WAS) V8.5 reached end of service (EOS) in April 2018. For more information, see the Software withdrawal and service discontinuance: IBM WebSphere Application Server V7 and V8 and select IBM WebSphere products and part numbers - Some replacements available announcement.

IBM WebSphere Application Server V8.5.5.14 no longer contains Java 6. If you are using IBM Business Process Manager (BPM) V8.5.5 or V8.5.0, you cannot upgrade to WAS V8.5.5.14 or later because these versions of IBM BPM only support Java 6. In addition, IBM BPM V8.5.6 and V8.5.7 support Java 6 and Java 7, but do not support Java 8. If you are using one of these versions, you should use Java 7 if upgrading to WAS 8.5.5.14 or later. Note: For IBM BPM V8.5.6 and V8.5.7, you need to be on Java 7 before upgrading to WAS 8.5.5.14 or later.

Extended support is not offered for Java 6, so you should use Java 7 or Java 8 instead. If Java 7 is not supported on your current version, you must upgrade to IBM Business Automation Workflow, IBM Business Process Manager (BPM) V8.6, or IBM Business Monitor V8.5.7. If Java 8 is not supported on your current version, you must upgrade to IBM BPM V8.6.

IBM BPM zOS V8.5.0.2 supports Java 7.1 (IBM WebSphere Application Server V8.5.5.5 as a prerequisite). IBM Process Designer in IBM BPM V8.5.7.0 CF 2017.03 or later versions is bundled with Java 7.  

Resolving The Problem

Use the appropriate Java version for the version of IBM Business Automation Workflow, IBM BPM, or IBM Business Monitor you are using:

Product version Supported Java version
IBM Business Automation Workflow Java 8*
IBM BPM V8.6 Java 8*
IBM BPM V8.5.7.0 Java 6 or Java 7*
IBM BPM V8.5.6.0 Java 6 or Java 7*
IBM BPM V8.5.5.0 Java 6
IBM BPM V8.5.0.x Java 6
IBM Business Monitor V8.5.7.0 Java 6, Java 7, or Java 8**
Business Monitor V8.5.6.0 Java 6 or Java 7
Business Monitor V8.5.5.0 Java 6
*Java snippets, Java conditions, and Java expressions in BPEL processes must use Java 6 constructs instead of Java 7 or Java 8 constructs.
**For the Java 8 support Cognos Business Intelligence 10.2.2 must minimally be at the Fix Pack 7 level and the Java 8 version must be minimally 8.0.4.5.


For more information, see the following resources:


Cross reference information
Product Component Platform Version Edition
IBM Business Process Manager Standard Installation / Configuration AIX, Linux, Solaris, Windows 8.5.7, 8.5.6, 8.5.5, 8.5.0.2, 8.5.0.1, 8.5
IBM Business Process Manager Express Installation / Configuration Linux, Windows 8.5.7, 8.5.6, 8.5.5, 8.5.0.2, 8.5.0.1, 8.5
IBM Business Monitor Installation AIX, Linux, Solaris, Windows, z/OS 8.5.7, 8.5.6, 8.5.5
IBM Business Process Manager Advanced Installation / Configuration AIX, Linux, Solaris, Windows, z/OS 8.5.7, 8.5.6, 8.5.5, 8.5.0.2, 8.5.0.1, 8.5

Product Alias/Synonym

IBM BPM, Monitor

Document information

More support for: IBM Business Process Manager

Component: Installation / Configuration

Software version: 8.6.0.0

Operating system(s): AIX, Linux, Windows

Software edition: IBM Business Process Manager Server

Reference #: 1639640

Modified date: 11 January 2019